MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000267v1.2 Release (Closed)[All Projects] Generalpublic2009-09-18 09:152009-12-08 20:08
Reporterachiele 
Assigned Topedroa 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.2 
Summary0000267: Not send email when using the option: Help! I've forgotten my password!
DescriptionWhen using this option the W2P not send the email to the addressee.
Below is the SMTP log.

NOTE: At the end of the log, there isnĀ“t this email web2Project@simbiozi.com.br

SMTP -> get_lines(): $data was ""
SMTP -> get_lines(): $str is "220 hm2095.cl02.mobimail.com ESMTP 5.2.16 "
SMTP -> get_lines(): $data is "220 hm2095.cl02.mobimail.com ESMTP 5.2.16 "
SMTP -> FROM SERVER:220 hm2095.cl02.mobimail.com ESMTP 5.2.16
SMTP -> get_lines(): $data was ""
SMTP -> get_lines(): $str is "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br "
SMTP -> get_lines(): $data is "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br "
SMTP -> get_lines(): $data was "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br "
SMTP -> get_lines(): $str is "250-DSN "
SMTP -> get_lines(): $data is "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN "
SMTP -> get_lines(): $data was "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN "
SMTP -> get_lines(): $str is "250-SIZE 42991616 "
SMTP -> get_lines(): $data is "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 "
SMTP -> get_lines(): $data was "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 "
SMTP -> get_lines(): $str is "250-STARTTLS "
SMTP -> get_lines(): $data is "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS "
SMTP -> get_lines(): $data was "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS "
SMTP -> get_lines(): $str is "250-AUTH LOGIN PLAIN CRAM-MD5 "
SMTP -> get_lines(): $data is "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 "
SMTP -> get_lines(): $data was "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 "
SMTP -> get_lines(): $str is "250-ETRN "
SMTP -> get_lines(): $data is "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 250-ETRN "
SMTP -> get_lines(): $data was "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 250-ETRN "
SMTP -> get_lines(): $str is "250-TURN "
SMTP -> get_lines(): $data is "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 250-ETRN 250-TURN "
SMTP -> get_lines(): $data was "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 250-ETRN 250-TURN "
SMTP -> get_lines(): $str is "250-ATRN "
SMTP -> get_lines(): $data is "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 250-ETRN 250-TURN 250-ATRN "
SMTP -> get_lines(): $data was "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 250-ETRN 250-TURN 250-ATRN "
SMTP -> get_lines(): $str is "250-NO-SOLICITING "
SMTP -> get_lines(): $data is "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 250-ETRN 250-TURN 250-ATRN 250-NO-SOLICITING "
SMTP -> get_lines(): $data was "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 250-ETRN 250-TURN 250-ATRN 250-NO-SOLICITING "
SMTP -> get_lines(): $str is "250-8BITMIME "
SMTP -> get_lines(): $data is "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 250-ETRN 250-TURN 250-ATRN 250-NO-SOLICITING 250-8BITMIME "
SMTP -> get_lines(): $data was "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 250-ETRN 250-TURN 250-ATRN 250-NO-SOLICITING 250-8BITMIME "
SMTP -> get_lines(): $str is "250-HELP "
SMTP -> get_lines(): $data is "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 250-ETRN 250-TURN 250-ATRN 250-NO-SOLICITING 250-8BITMIME 250-HELP "
SMTP -> get_lines(): $data was "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 250-ETRN 250-TURN 250-ATRN 250-NO-SOLICITING 250-8BITMIME 250-HELP "
SMTP -> get_lines(): $str is "250-PIPELINING "
SMTP -> get_lines(): $data is "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 250-ETRN 250-TURN 250-ATRN 250-NO-SOLICITING 250-8BITMIME 250-HELP 250-PIPELINING "
SMTP -> get_lines(): $data was "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 250-ETRN 250-TURN 250-ATRN 250-NO-SOLICITING 250-8BITMIME 250-HELP 250-PIPELINING "
SMTP -> get_lines(): $str is "250 EHLO "
SMTP -> get_lines(): $data is "250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 250-ETRN 250-TURN 250-ATRN 250-NO-SOLICITING 250-8BITMIME 250-HELP 250-PIPELINING 250 EHLO "
SMTP -> FROM SERVER: 250-hm2095.cl02.mobimail.com your name is not smtp.simbiozi.com.br 250-DSN 250-SIZE 42991616 250-STARTTLS 250-AUTH LOGIN PLAIN CRAM-MD5 250-ETRN 250-TURN 250-ATRN 250-NO-SOLICITING 250-8BITMIME 250-HELP 250-PIPELINING 250 EHLO
SMTP -> get_lines(): $data was ""
SMTP -> get_lines(): $str is "334 VXNlcm5hbWU6 "
SMTP -> get_lines(): $data is "334 VXNlcm5hbWU6 "
SMTP -> get_lines(): $data was ""
SMTP -> get_lines(): $str is "334 UGFzc3dvcmQ6 "
SMTP -> get_lines(): $data is "334 UGFzc3dvcmQ6 "
SMTP -> get_lines(): $data was ""
SMTP -> get_lines(): $str is "235 webmaster@simbiozi.com.br relaying authenticated "
SMTP -> get_lines(): $data is "235 webmaster@simbiozi.com.br relaying authenticated "
SMTP -> get_lines(): $data was ""
SMTP -> get_lines(): $str is "573 web2Project@simbiozi.com.br unknown user account "
SMTP -> get_lines(): $data is "573 web2Project@simbiozi.com.br unknown user account "
SMTP -> FROM SERVER:573 web2Project@simbiozi.com.br unknown user account
SMTP -> ERROR: MAIL not accepted from server: 573 web2Project@simbiozi.com.br unknown user account
The following From address failed: web2Project@simbiozi.com.br
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000502)
pedroa (administrator)
2009-09-18 14:30

includes/sendpass.php was the only file where a From was being called to be set as:
    $m->From('web2Project@' . w2PgetConfig('site_domain'));

So if "web2Project" was not a user on your domain mail server, the emails wouldn't go as you reported.

From is now set only on classes/libmail.class.php on Mail constructor as:
        $this->From(w2PgetConfig('admin_username') . '@' . w2PgetConfig('site_domain'), w2PgetConfig('company_name'));

And as you see it is a combination of two system config options:
admin_username and site_domain.

Thanks for reporting,

Pedro A.

- Issue History
Date Modified Username Field Change
2009-09-18 09:15 achiele New Issue
2009-09-18 14:30 pedroa Status new => resolved
2009-09-18 14:30 pedroa Resolution open => fixed
2009-09-18 14:30 pedroa Assigned To => pedroa
2009-09-18 14:30 pedroa Note Added: 0000502
2009-11-08 21:04 caseydk Project v1.1 Release (Closed) => v1.2 Release (Closed)
2009-12-08 20:08 caseydk Status resolved => closed
2009-12-08 20:08 caseydk Fixed in Version => 1.2


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker